## openexr 2.2.1.6

=== IlmImfTest/CMakeLists.txt ===
# yue.nicholas@gmail.com

# IlmImfTest

ADD_EXECUTABLE ( IlmImfTest
  compareB44.cpp
  compareDwa.cpp
  compareFloat.cpp
  main.cpp
  testAttributes.cpp
  testBackwardCompatibility.cpp
  testBadTypeAttributes.cpp
  testChannels.cpp
  testCompositeDeepScanLine.cpp
  testCompression.cpp
  testConversion.cpp
  testCopyDeepScanLine.cpp
  testCopyDeepTiled.cpp
  testCopyMultiPartFile.cpp
  testCopyPixels.cpp
  testCustomAttributes.cpp
  testDeepScanLineBasic.cpp
  testDeepScanLineHuge.cpp
  testDeepScanLineMultipleRead.cpp
  testDeepTiledBasic.cpp
  testDwaCompressorSimd.cpp
  testExistingStreams.cpp
  testFutureProofing.cpp
  testHuf.cpp
  testInputPart.cpp
  testIsComplete.cpp
  testLineOrder.cpp
  testLut.cpp
  testMagic.cpp
  testMalformedImages.cpp
  testMultiPartApi.cpp
  testMultiPartFileMixingBasic.cpp
  testMultiPartSharedAttributes.cpp
  testMultiPartThreading.cpp
  testMultiScanlinePartThreading.cpp
  testMultiTiledPartThreading.cpp
  testMultiView.cpp
  testNativeFormat.cpp
  testOptimized.cpp
  testOptimizedInterleavePatterns.cpp
  testPartHelper.cpp
  testPreviewImage.cpp
  testRgba.cpp
  testRgbaThreading.cpp
  testRle.cpp
  testSampleImages.cpp
  testScanLineApi.cpp
  testSharedFrameBuffer.cpp
  testStandardAttributes.cpp
  testTiledCompression.cpp
  testTiledCopyPixels.cpp
  testTiledLineOrder.cpp
  testTiledRgba.cpp
  testTiledYa.cpp
  testWav.cpp
  testXdr.cpp
  testYca.cpp
 )


ADD_TEST ( TestIlmImf IlmImfTest )
TARGET_LINK_LIBRARIES ( IlmImfTest 
        IlmImf  
        Half 
        Iex${ILMBASE_LIBSUFFIX}
        Imath${ILMBASE_LIBSUFFIX}
        IlmThread${ILMBASE_LIBSUFFIX}
        ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
        )

=== debian/changelog ===
openexr (2.2.1.6-deepin1) unstable; urgency=medium

  * fix CVE-2021-45942、CVE-2021-3941、CVE-2021-3933 and CVE-2021-20303

 -- yanghaibo <yanghaibo@uniontech.com>  Fri, 16 Dec 2022 13:20:58 +0800

## openexr 2.2.1.7

=== debian/changelog ===
openexr (2.2.1.7-deepin1) unstable; urgency=medium

  * fix CVE-2020-16587 CVE-2020-16588 CVE-2020-16589 CVE-2021-3475
        CVE-2021-3477 CVE-2021-3479 CVE-2021-23215 CVE-2021-26260

 -- zengwei <zengwei1@uniontech.com>  Tue, 07 Feb 2023 13:45:37 +0800

## openexr 2.3.0

=== CMakeLists.txt ===
IF (WIN32)
  CMAKE_MINIMUM_REQUIRED(VERSION 3.11)
ELSE()
  CMAKE_MINIMUM_REQUIRED(VERSION 3.2)
ENDIF()

PROJECT (openexr)

IF (NOT ILMBASE_PACKAGE_PREFIX)
  SET (ILMBASE_PACKAGE_PREFIX ${CMAKE_INSTALL_PREFIX})
ENDIF ()

ADD_DEFINITIONS (-DILM_IMF_TEST_IMAGEDIR="${CMAKE_CURRENT_SOURCE_DIR}/IlmImfTest/" )

IF (NOT WIN32)
  SET ( PTHREAD_LIB pthread )
ENDIF()

IF(WIN32)
  SET(CMAKE_DEBUG_POSTFIX "_d")
ENDIF()


MACRO(SET_ILMBASE_INCLUDE_DIRS _target)
  TARGET_INCLUDE_DIRECTORIES(${_target}
    PRIVATE ${ZLIB_INCLUDE_DIR}
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/../config
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/../../IlmBase/config
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../IlmImf
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../IlmImfUtil
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/Half
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/Iex
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/IexMath
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/IlmThread
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/Imath
  )
ENDMACRO()

LINK_DIRECTORIES ( ${ILMBASE_PACKAGE_PREFIX}/lib )
MESSAGE ( "ILMBASE_PACKAGE_PREFIX = " ${ILMBASE_PACKAGE_PREFIX})

IF (NOT WIN32 AND NOT APPLE)
  # Test for GCC-style inline asm support with AVX instructions
  INCLUDE (CheckCXXSourceCompiles)
  CHECK_CXX_SOURCE_COMPILES (
  	"
  	int main()
  	{
  	 #if defined(__GNUC__) && defined(__SSE2__)
  		 int n   = 0;
  		 int eax = 0;
  		 int edx = 0;
  		 __asm__(
  			 \"xgetbv     ;\"
  			 \"vzeroupper  \"
  			 : \"=a\"(eax), \"=d\"(edx) : \"c\"(n) : );
  	 #else
  		 #error No GCC style inline asm supported for AVX instructions
  	 #endif
  	}
  	" HAVE_GCC_INLINE_ASM_AVX)

  # Check if sysconf(_SC_NPROCESSORS_ONLN) can be used for CPU count
  CHECK_CXX_SOURCE_COMPILES (
      "
      #include <unistd.h>
      int main()
      {
          sysconf(_SC_NPROCESSORS_ONLN);
      }
      " HAVE_SYSCONF_NPROCESSORS_ONLN)
ENDIF()


##########################
# OpenEXRConfig.h generation
##########################

# By using a temp file then using configure_file below with copy, we
# avoid constantly updating it (unless a value has changed)
SET(OPENEXR_TMP_CONFIG ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h.in)
IF (WIN32)
  FILE ( WRITE ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
ELSEIF (APPLE)
  FILE ( WRITE ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_DARWIN 1\n" )
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#include <string.h>\n" )
ELSE ()
  # Linux
  FILE ( WRITE ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_LINUX_PROCFS 1\n" )
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1\n" )
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_LARGE_STACK 1\n" )
ENDIF()

IF (OPENEXR_NAMESPACE_VERSIONING)
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_INTERNAL_NAMESPACE_CUSTOM 1\n")
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_NAMESPACE Imf\n" )
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_INTERNAL_NAMESPACE Imf_${OPENEXR_VERSION_API}\n\n" )
ELSE ()
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_INTERNAL_NAMESPACE_CUSTOM 0\n")
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_NAMESPACE Imf\n" )
    FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_INTERNAL_NAMESPACE Imf\n\n" )
ENDIF ()

FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_VERSION_STRING \"${OPENEXR_VERSION}\"\n" )
FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_PACKAGE_STRING \"OpenEXR ${OPENEXR_VERSION}\"\n" )


FILE ( APPEND ${OPENEXR_TMP_CONFIG} "
#define OPENEXR_VERSION_MAJOR ${OPENEXR_VERSION_MAJOR}
#define OPENEXR_VERSION_MINOR ${OPENEXR_VERSION_MINOR}
#define OPENEXR_VERSION_PATCH ${OPENEXR_VERSION_PATCH}
")


  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "
// Version as a single hex number, e.g. 0x01000300 == 1.0.3
#define OPENEXR_VERSION_HEX ((OPENEXR_VERSION_MAJOR << 24) | \\
                             (OPENEXR_VERSION_MINOR << 16) | \\
                             (OPENEXR_VERSION_PATCH <<  8))\n
")

IF (HAVE_GCC_INLINE_ASM_AVX)
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_GCC_INLINE_ASM_AVX 1\n" )
ENDIF()

IF (HAVE_SYSCONF_NPROCESSORS_ONLN)
  FILE ( APPEND ${OPENEXR_TMP_CONFIG} "#define OPENEXR_IMF_HAVE_SYSCONF_NPROCESSORS_ONLN 1\n" )
ENDIF()

CONFIGURE_FILE ( ${OPENEXR_TMP_CONFIG} ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h COPYONLY )
FILE ( REMOVE ${OPENEXR_TMP_CONFIG} )
UNSET ( OPENEXR_TMP_CONFIG )

##########################
# IlmImf library
##########################
ADD_SUBDIRECTORY ( IlmImf )

IF ( OPENEXR_BUILD_SHARED )
  SET_TARGET_PROPERTIES ( IlmImf
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    SOVERSION ${OPENEXR_SOVERSION}
    OUTPUT_NAME "IlmImf${OPENEXR_LIBSUFFIX}"
    )
ENDIF ()

##########################
# IlmImfUtil library
##########################
ADD_SUBDIRECTORY ( IlmImfUtil )

IF ( OPENEXR_BUILD_SHARED )
  SET_TARGET_PROPERTIES ( IlmImfUtil
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    SOVERSION ${OPENEXR_SOVERSION}
    OUTPUT_NAME "IlmImfUtil${OPENEXR_LIBSUFFIX}"
    )
ENDIF ()

##########################
# Example Code
##########################
ADD_SUBDIRECTORY ( IlmImfExamples )


##########################
# Tests
##########################
IF (ENABLE_TESTS)
  ADD_SUBDIRECTORY ( IlmImfTest )
  ADD_SUBDIRECTORY ( IlmImfUtilTest )
  ADD_SUBDIRECTORY ( IlmImfFuzzTest )
ENDIF ()

##########################
# Binaries / Utilities
##########################
IF (OPENEXR_BUILD_UTILS)
  ADD_SUBDIRECTORY ( exrheader )
  ADD_SUBDIRECTORY ( exrmaketiled )
  ADD_SUBDIRECTORY ( exrstdattr )
  ADD_SUBDIRECTORY ( exrmakepreview )
  ADD_SUBDIRECTORY ( exrenvmap )
  ADD_SUBDIRECTORY ( exrmultiview )
  ADD_SUBDIRECTORY ( exrmultipart )
ENDIF ()

##########################
# Installation
##########################

INSTALL ( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/config/OpenEXRConfig.h
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/include/OpenEXR
  )

# Documentation
INSTALL ( FILES
  doc/TechnicalIntroduction.pdf
  doc/ReadingAndWritingImageFiles.pdf
  doc/OpenEXRFileLayout.pdf
  doc/MultiViewOpenEXR.pdf
  doc/InterpretingDeepPixels.pdf
  doc/TheoryDeepPixels.pdf
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/share/doc/OpenEXR-${OPENEXR_VERSION}
  )

# Examples
INSTALL ( FILES
  IlmImfExamples/main.cpp
  IlmImfExamples/drawImage.cpp
  IlmImfExamples/rgbaInterfaceExamples.cpp
  IlmImfExamples/rgbaInterfaceTiledExamples.cpp
  IlmImfExamples/generalInterfaceExamples.cpp
  IlmImfExamples/lowLevelIoExamples.cpp
  IlmImfExamples/previewImageExamples.cpp
  IlmImfExamples/generalInterfaceTiledExamples.cpp
  IlmImfExamples/generalInterfaceTiledExamples.h
  IlmImfExamples/drawImage.h
  IlmImfExamples/rgbaInterfaceExamples.h
  IlmImfExamples/generalInterfaceExamples.h
  IlmImfExamples/rgbaInterfaceTiledExamples.h
  IlmImfExamples/lowLevelIoExamples.h
  IlmImfExamples/previewImageExamples.h
  IlmImfExamples/namespaceAlias.h
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/share/doc/OpenEXR-${OPENEXR_VERSION}/examples
  )

=== IlmImf/CMakeLists.txt ===
# yue.nicholas@gmail.com

SET(CMAKE_INCLUDE_CURRENT_DIR 1)

IF (WIN32)
  SET(RUNTIME_DIR ${OPENEXR_PACKAGE_PREFIX}/bin)
  SET(WORKING_DIR ${RUNTIME_DIR})
ELSE ()
  SET(RUNTIME_DIR ${OPENEXR_PACKAGE_PREFIX}/lib)
  SET(WORKING_DIR .)
ENDIF ()

SET(BUILD_B44EXPLOGTABLE OFF)
IF (NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/b44ExpLogTable.h")
  SET(BUILD_B44EXPLOGTABLE ON)
ENDIF ()

IF (BUILD_B44EXPLOGTABLE)
  ADD_EXECUTABLE ( b44ExpLogTable
    b44ExpLogTable.cpp
  )

  IF (WIN32)
    TARGET_LINK_LIBRARIES ( b44ExpLogTable
      IlmBase::Half_static
      IlmBase::IlmThread_static
      IlmBase::Iex_static)
  ELSE()
    TARGET_LINK_LIBRARIES ( b44ExpLogTable
      IlmBase::Half${OPENEXR_TARGET_SUFFIX}
      IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
      IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
      ${PTHREAD_LIB})
  ENDIF()

  TARGET_INCLUDE_DIRECTORIES ( b44ExpLogTable
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../IlmBase/Half
  )

  ADD_CUSTOM_COMMAND (
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/b44ExpLogTable.h
    COMMAND $<TARGET_FILE:b44ExpLogTable> > ${CMAKE_CURRENT_BINARY_DIR}/b44ExpLogTable.h
    DEPENDS b44ExpLogTable
  )

ELSE ()
  message (STATUS "Skipping build of b44ExpLogTable.h")
ENDIF()

if (NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/dwaLookups.h")
  ADD_EXECUTABLE ( dwaLookups
    dwaLookups.cpp
  )

  SET(BUILD_DWALOOKUPS ON)

  SET_ILMBASE_INCLUDE_DIRS(dwaLookups)

  IF (WIN32)
    TARGET_LINK_LIBRARIES ( dwaLookups
      IlmBase::Half_static
      IlmBase::IlmThread_static
      IlmBase::Iex_static)
  ELSE()
    TARGET_LINK_LIBRARIES ( dwaLookups
      IlmBase::Half${OPENEXR_TARGET_SUFFIX}
      IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
      IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
      ${PTHREAD_LIB})
  ENDIF()

  ADD_CUSTOM_COMMAND (
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/dwaLookups.h
    COMMAND $<TARGET_FILE:dwaLookups> > ${CMAKE_CURRENT_BINARY_DIR}/dwaLookups.h
    DEPENDS dwaLookups
  )
ELSE ()
  message (STATUS "Skipping build of dwaLookups.h")
ENDIF()

SET ( ILMIMF_SRCS
  ImfAttribute.cpp
  ImfBoxAttribute.cpp
  ImfCRgbaFile.cpp
  ImfChannelList.cpp
  ImfChannelListAttribute.cpp
  ImfFloatAttribute.cpp
  ImfFrameBuffer.cpp
  ImfHeader.cpp
  ImfIO.cpp
  ImfInputFile.cpp
  ImfIntAttribute.cpp
  ImfLineOrderAttribute.cpp
  ImfMatrixAttribute.cpp
  ImfOpaqueAttribute.cpp
  ImfOutputFile.cpp
  ImfRgbaFile.cpp
  ImfStringAttribute.cpp
  ImfVecAttribute.cpp
  ImfHuf.cpp
  ImfThreading.cpp
  ImfWav.cpp
  ImfLut.cpp
  ImfCompressor.cpp
  ImfRleCompressor.cpp
  ImfZipCompressor.cpp
  ImfPizCompressor.cpp
  ImfB44Compressor.cpp
  ImfDwaCompressor.cpp
  ImfMisc.cpp
  ImfCompressionAttribute.cpp
  ImfDoubleAttribute.cpp
  ImfConvert.cpp
  ImfPreviewImage.cpp
  ImfPreviewImageAttribute.cpp
  ImfVersion.cpp
  ImfChromaticities.cpp
  ImfChromaticitiesAttribute.cpp
  ImfKeyCode.cpp
  ImfKeyCodeAttribute.cpp
  ImfTimeCode.cpp
  ImfTimeCodeAttribute.cpp
  ImfRational.cpp
  ImfRationalAttribute.cpp
  ImfFramesPerSecond.cpp
  ImfStandardAttributes.cpp
  ImfStdIO.cpp
  ImfEnvmap.cpp
  ImfEnvmapAttribute.cpp
  ImfScanLineInputFile.cpp
  ImfTiledInputFile.cpp
  ImfTiledMisc.cpp
  ImfTiledOutputFile.cpp
  ImfTiledRgbaFile.cpp
  ImfTileDescriptionAttribute.cpp
  ImfTileOffsets.cpp
  ImfRgbaYca.cpp
  ImfPxr24Compressor.cpp
  ImfTestFile.cpp
  ImfStringVectorAttribute.cpp
  ImfMultiView.cpp
  ImfAcesFile.cpp
  ImfMultiPartOutputFile.cpp
  ImfGenericOutputFile.cpp
  ImfOutputPartData.cpp
  ImfMultiPartInputFile.cpp
  ImfGenericInputFile.cpp
  ImfPartType.cpp
  ImfInputPartData.cpp
  ImfOutputPart.cpp
  ImfTiledOutputPart.cpp
  ImfInputPart.cpp
  ImfTiledInputPart.cpp
  ImfDeepScanLineInputPart.cpp
  ImfDeepScanLineOutputPart.cpp
  ImfDeepScanLineInputFile.cpp
  ImfDeepScanLineOutputFile.cpp
  ImfDeepTiledInputPart.cpp
  ImfDeepTiledOutputPart.cpp
  ImfDeepTiledInputFile.cpp
  ImfDeepTiledOutputFile.cpp
  ImfDeepFrameBuffer.cpp
  ImfDeepCompositing.cpp
  ImfCompositeDeepScanLine.cpp
  ImfDeepImageStateAttribute.cpp
  ImfFastHuf.cpp
  ImfFloatVectorAttribute.cpp
  ImfRle.cpp
  ImfSystemSpecific.cpp
  ImfZip.cpp
)

IF (BUILD_B44EXPLOGTABLE)
  SET_SOURCE_FILES_PROPERTIES (
    ImfB44Compressor.cpp
    PROPERTIES
    OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/b44ExpLogTable.h
  )
ENDIF ()

IF (BUILD_DWALOOKUPS)
  SET_SOURCE_FILES_PROPERTIES (
    ImfDwaCompressor.cpp
    PROPERTIES
    OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/dwaLookups.h
  )
ENDIF ()

SET (OPENEXR_LIB_TARGETS "")

IF ( OPENEXR_BUILD_SHARED )
  LIST ( APPEND OPENEXR_LIB_TARGETS IlmImf )

  ADD_LIBRARY ( IlmImf SHARED ${ILMIMF_SRCS} )

  TARGET_COMPILE_DEFINITIONS ( IlmImf PRIVATE ILMIMF_EXPORTS )
  IF (WIN32)
    TARGET_COMPILE_DEFINITIONS ( IlmImf PUBLIC OPENEXR_DLL )
    TARGET_COMPILE_DEFINITIONS ( IlmImf PUBLIC _CRT_SECURE_NO_WARNINGS )
  ENDIF ()

  TARGET_LINK_LIBRARIES ( IlmImf
    PUBLIC  IlmBase::Iex
    PUBLIC  IlmBase::Half
    PUBLIC  IlmBase::Imath
    PUBLIC  IlmBase::IlmThread
    PRIVATE ${PTHREAD_LIB}
    PRIVATE ${ZLIB_LIBRARIES}
  )
  SET_ILMBASE_INCLUDE_DIRS(IlmImf)

  SET_TARGET_PROPERTIES ( IlmImf
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    SOVERSION ${OPENEXR_SOVERSION}
    OUTPUT_NAME "IlmImf${OPENEXR_LIBSUFFIX}"
    )

  IF (BUILD_DWALOOKUPS)
    ADD_DEPENDENCIES ( IlmImf dwaLookups )
  ENDIF ()

  IF (BUILD_B44EXPLOGTABLE)
    ADD_DEPENDENCIES ( IlmImf b44ExpLogTable )
  ENDIF()

ENDIF ()

IF (OPENEXR_BUILD_STATIC)
  LIST ( APPEND OPENEXR_LIB_TARGETS IlmImf_static )

  ADD_LIBRARY ( IlmImf_static STATIC ${ILMIMF_SRCS} )

  SET_TARGET_PROPERTIES ( IlmImf_static
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    OUTPUT_NAME "IlmImf${OPENEXR_LIBSUFFIX}_s"
    )
    SET_ILMBASE_INCLUDE_DIRS(IlmImf_static)

  IF (WIN32)
    TARGET_COMPILE_DEFINITIONS ( IlmImf_static PUBLIC _CRT_SECURE_NO_WARNINGS )
  ENDIF ()

  iF (BUILD_DWALOOKUPS)
    ADD_DEPENDENCIES ( IlmImf_static b44ExpLogTable )
  ENDIF ()

  IF (BUILD_B44EXPLOGTABLE)
    ADD_DEPENDENCIES ( IlmImf_static dwaLookups )
  ENDIF()

ENDIF ()

IF (OPENEXR_BUILD_SHARED OR OPENEXR_BUILD_STATIC)
  INSTALL ( TARGETS ${OPENEXR_LIB_TARGETS}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION ${RUNTIME_DIR}
  )
ENDIF ()

INSTALL (
  FILES
    ImfForward.h
    ImfExport.h
    ImfAttribute.h
    ImfBoxAttribute.h
    ImfCRgbaFile.h
    ImfChannelList.h
    ImfChannelListAttribute.h
    ImfCompressionAttribute.h
    ImfDoubleAttribute.h
    ImfFloatAttribute.h
    ImfFrameBuffer.h
    ImfHeader.h
    ImfIO.h
    ImfInputFile.h
    ImfIntAttribute.h
    ImfLineOrderAttribute.h
    ImfMatrixAttribute.h
    ImfOpaqueAttribute.h
    ImfOutputFile.h
    ImfRgbaFile.h
    ImfStringAttribute.h
    ImfVecAttribute.h
    ImfHuf.h
    ImfWav.h
    ImfLut.h
    ImfArray.h
    ImfCompression.h
    ImfLineOrder.h
    ImfName.h
    ImfPixelType.h
    ImfVersion.h
    ImfXdr.h
    ImfConvert.h
    ImfPreviewImage.h
    ImfPreviewImageAttribute.h
    ImfChromaticities.h
    ImfChromaticitiesAttribute.h
    ImfKeyCode.h
    ImfKeyCodeAttribute.h
    ImfTimeCode.h
    ImfTimeCodeAttribute.h
    ImfRational.h
    ImfRationalAttribute.h
    ImfFramesPerSecond.h
    ImfStandardAttributes.h
    ImfStdIO.h
    ImfEnvmap.h
    ImfEnvmapAttribute.h
    ImfInt64.h
    ImfRgba.h
    ImfTileDescription.h
    ImfTileDescriptionAttribute.h
    ImfTiledInputFile.h
    ImfTiledOutputFile.h
    ImfTiledRgbaFile.h
    ImfRgbaYca.h
    ImfTestFile.h
    ImfThreading.h
    ImfB44Compressor.h
    ImfStringVectorAttribute.h
    ImfMultiView.h
    ImfAcesFile.h
    ImfMultiPartOutputFile.h
    ImfGenericOutputFile.h
    ImfMultiPartInputFile.h
    ImfGenericInputFile.h
    ImfPartType.h
    ImfPartHelper.h
    ImfOutputPart.h
    ImfTiledOutputPart.h
    ImfInputPart.h
    ImfTiledInputPart.h
    ImfDeepScanLineOutputFile.h
    ImfDeepScanLineOutputPart.h
    ImfDeepScanLineInputFile.h
    ImfDeepScanLineInputPart.h
    ImfDeepTiledInputFile.h
    ImfDeepTiledInputPart.h
    ImfDeepTiledOutputFile.h
    ImfDeepTiledOutputPart.h
    ImfDeepFrameBuffer.h
    ImfDeepCompositing.h
    ImfCompositeDeepScanLine.h
    ImfNamespace.h
    ImfMisc.h
    ImfDeepImageState.h
    ImfDeepImageStateAttribute.h
    ImfFloatVectorAttribute.h

  DESTINATION
    include/OpenEXR
)

if (OPENEXR_BUILD_SHARED)
    add_library(OpenEXR::IlmImf ALIAS IlmImf)
endif()
if (OPENEXR_BUILD_STATIC)
    add_library(OpenEXR::IlmImf_static ALIAS IlmImf_static)
endif()

=== IlmImfExamples/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( IlmImfExamples
  drawImage.cpp
  generalInterfaceExamples.cpp
  generalInterfaceTiledExamples.cpp
  lowLevelIoExamples.cpp
  main.cpp
  previewImageExamples.cpp
  rgbaInterfaceExamples.cpp
  rgbaInterfaceTiledExamples.cpp
 )

SET_ILMBASE_INCLUDE_DIRS( IlmImfExamples )

TARGET_LINK_LIBRARIES ( IlmImfExamples
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Imath${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
  )

=== IlmImfFuzzTest/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( IlmImfFuzzTest
  fuzzFile.cpp
  main.cpp
  testFuzzDeepTiles.cpp
  testFuzzDeepScanLines.cpp
  testFuzzScanLines.cpp
  testFuzzTiles.cpp
  )

SET_ILMBASE_INCLUDE_DIRS( IlmImfFuzzTest )

TARGET_LINK_LIBRARIES ( IlmImfFuzzTest
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Imath${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB} ${ZLIB_LIBRARIES})

IF ( OPENEXR_RUN_FUZZ_TESTS )
  ADD_TEST ( TestIlmImfFuzz IlmImfFuzzTest )
  # This takes a really long time to run... the default timeout is 1500 seconds or
  # but this can take 10 hours to run on an older machine
  SET_TESTS_PROPERTIES ( TestIlmImfFuzz PROPERTIES TIMEOUT 36000 )
ENDIF ()

ADD_CUSTOM_TARGET(fuzz ${CMAKE_CURRENT_BINARY_DIR}/IlmImfFuzzTest)
# the depends you can add in ADD_CUSTOM_TARGET only works for other add_custom_command
ADD_DEPENDENCIES(fuzz IlmImfFuzzTest)

=== IlmImfTest/CMakeLists.txt ===
--- 
+++ 
@@ -62,14 +62,14 @@
   testYca.cpp
  )
 
+SET_ILMBASE_INCLUDE_DIRS( IlmImfTest )
 
 ADD_TEST ( TestIlmImf IlmImfTest )
-TARGET_LINK_LIBRARIES ( IlmImfTest 
-        IlmImf  
-        Half 
-        Iex${ILMBASE_LIBSUFFIX}
-        Imath${ILMBASE_LIBSUFFIX}
-        IlmThread${ILMBASE_LIBSUFFIX}
-        ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
-        )
-
+TARGET_LINK_LIBRARIES ( IlmImfTest
+  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
+  IlmBase::Imath${OPENEXR_TARGET_SUFFIX}
+  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
+  ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
+  )

=== IlmImfUtil/CMakeLists.txt ===

SET ( ILMIMFUTIL_SRCS
  ImfImageChannel.cpp
  ImfFlatImageChannel.cpp
  ImfDeepImageChannel.cpp
  ImfSampleCountChannel.cpp
  ImfImageLevel.cpp
  ImfFlatImageLevel.cpp
  ImfDeepImageLevel.cpp
  ImfImage.cpp
  ImfFlatImage.cpp
  ImfDeepImage.cpp
  ImfImageIO.cpp
  ImfFlatImageIO.cpp
  ImfDeepImageIO.cpp
  ImfImageDataWindow.cpp
)

SET (OPENEXR_LIB_TARGETS "")

LINK_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR}/../IlmImf )

IF(OPENEXR_BUILD_SHARED)
  LIST ( APPEND OPENEXR_LIB_TARGETS IlmImfUtil )

  ADD_LIBRARY ( IlmImfUtil SHARED ${ILMIMFUTIL_SRCS} )
  SET_ILMBASE_INCLUDE_DIRS( IlmImfUtil )

  TARGET_COMPILE_DEFINITIONS ( IlmImfUtil PRIVATE ILMIMFUTIL_EXPORTS )
  IF (WIN32)
    TARGET_COMPILE_DEFINITIONS ( IlmImfUtil PUBLIC OPENEXR_DLL )
  ENDIF ()

  TARGET_LINK_LIBRARIES ( IlmImfUtil
    PUBLIC  IlmBase::Iex
    PUBLIC  IlmBase::Half
    PUBLIC  IlmBase::Imath
    PUBLIC  IlmBase::IlmThread
    PUBLIC  OpenEXR::IlmImf
    PRIVATE ${PTHREAD_LIB}
    PRIVATE ${ZLIB_LIBRARIES}
  )

  SET_TARGET_PROPERTIES ( IlmImfUtil
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    SOVERSION ${OPENEXR_SOVERSION}
    OUTPUT_NAME "IlmImfUtil${OPENEXR_LIBSUFFIX}"
    )
ENDIF()


IF ( OPENEXR_BUILD_STATIC )
  LIST ( APPEND OPENEXR_LIB_TARGETS IlmImfUtil_static )

  ADD_LIBRARY ( IlmImfUtil_static STATIC ${ILMIMFUTIL_SRCS} )
  SET_ILMBASE_INCLUDE_DIRS( IlmImfUtil_static )

  SET_TARGET_PROPERTIES ( IlmImfUtil_static
    PROPERTIES
    VERSION ${OPENEXR_VERSION_MAJOR}.${OPENEXR_VERSION_MINOR}.${OPENEXR_VERSION_PATCH}
    SOVERSION ${OPENEXR_SOVERSION}
    OUTPUT_NAME "IlmImfUtil${OPENEXR_LIBSUFFIX}_s"
    )
ENDIF()


IF (OPENEXR_BUILD_SHARED OR OPENEXR_BUILD_STATIC)
  INSTALL ( TARGETS
    ${OPENEXR_LIB_TARGETS}
      ARCHIVE DESTINATION lib
      LIBRARY DESTINATION lib
      RUNTIME DESTINATION ${RUNTIME_DIR}
  )
ENDIF ()

# Headers
INSTALL (
  FILES
    ImfImageChannel.h
    ImfFlatImageChannel.h
    ImfDeepImageChannel.h
    ImfSampleCountChannel.h
    ImfImageLevel.h
    ImfFlatImageLevel.h
    ImfDeepImageLevel.h
    ImfImage.h
    ImfFlatImage.h
    ImfDeepImage.h
    ImfImageIO.h
    ImfFlatImageIO.h
    ImfDeepImageIO.h
    ImfImageDataWindow.h
    ImfImageChannelRenaming.h
    ImfUtilExport.h

  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/include/OpenEXR
  )

if (OPENEXR_BUILD_SHARED)
    add_library(OpenEXR::IlmImfUtil ALIAS IlmImfUtil)
endif()
if (OPENEXR_BUILD_STATIC)
    add_library(OpenEXR::IlmImfUtil_static ALIAS IlmImfUtil_static)
endif()

=== IlmImfUtilTest/CMakeLists.txt ===

# IlmImfUtilTest

LINK_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR}/../IlmImf )


ADD_EXECUTABLE ( IlmImfUtilTest
  main.cpp
  testFlatImage.cpp
  testDeepImage.cpp
  testIO.cpp
 )

 SET_ILMBASE_INCLUDE_DIRS( IlmImfUtilTest )

ADD_TEST ( TestIlmImfUtil IlmImfUtilTest )
TARGET_LINK_LIBRARIES ( IlmImfUtilTest
  OpenEXR::IlmImfUtil${OPENEXR_TARGET_SUFFIX}
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Imath${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB} ${ZLIB_LIBRARIES}
  )

=== exrenvmap/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrenvmap
  makeLatLongMap.cpp
  readInputImage.cpp
  resizeImage.cpp
  makeCubeMap.cpp
  main.cpp
  blurImage.cpp
  EnvmapImage.cpp
)

SET_ILMBASE_INCLUDE_DIRS( exrenvmap )

TARGET_LINK_LIBRARIES ( exrenvmap
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrenvmap
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrheader/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrheader main.cpp )
SET_ILMBASE_INCLUDE_DIRS( exrheader )

TARGET_LINK_LIBRARIES ( exrheader
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
  )

INSTALL ( TARGETS
  exrheader
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrmakepreview/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrmakepreview
  makePreview.cpp
  main.cpp
)
SET_ILMBASE_INCLUDE_DIRS( exrmakepreview )


TARGET_LINK_LIBRARIES ( exrmakepreview
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrmakepreview
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrmaketiled/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrmaketiled
  makeTiled.cpp
  main.cpp
  Image.cpp
)
SET_ILMBASE_INCLUDE_DIRS( exrmaketiled )

TARGET_LINK_LIBRARIES ( exrmaketiled
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrmaketiled
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== exrmultipart/CMakeLists.txt ===
# yue.nicholas@gmail.com

ADD_EXECUTABLE ( exrmultipart exrmultipart.cpp )
SET_ILMBASE_INCLUDE_DIRS( exrmultipart )

TARGET_LINK_LIBRARIES ( exrmultipart
  OpenEXR::IlmImf${OPENEXR_TARGET_SUFFIX}
  IlmBase::IlmThread${OPENEXR_TARGET_SUFFIX}
  IlmBase::Iex${OPENEXR_TARGET_SUFFIX}
  IlmBase::Half${OPENEXR_TARGET_SUFFIX}
  ${PTHREAD_LIB}
  ${ZLIB_LIBRARIES}
)

INSTALL ( TARGETS
  exrmultipart
  DESTINATION
  ${CMAKE_INSTALL_PREFIX}/bin
)

=== debian/changelog ===
openexr (2.3.0-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:38 +0100

openexr (2.3.0-6) unstable; urgency=medium

  * Upload to unstable (Closes: #919036)
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.3.0 -> 4.4.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Sep 2019 16:23:00 +0200

openexr (2.3.0-5) experimental; urgency=medium

  * debian/control: Provide a clean upgrade path. Closes: #918382
  * debian/copyright: Update incomplete file. Closes: #917953
  * debian/control: Make sure to pick libilmbase24

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Jan 2019 11:00:54 +0100

openexr (2.3.0-4) experimental; urgency=medium

  * debian/control: SONAME bump 23 -> 24 to reflect libtool numbering
  * debian/: filenames adapted to SONAME bump
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)
  * debian/control: bump dependency on ilmbase to "-3" revision

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 31 Dec 2018 15:37:38 +0100

openexr (2.3.0-3) experimental; urgency=medium

  * Make sure to use float-store when compiling tests. Closes: #909865

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Dec 2018 21:41:08 +0100

openexr (2.3.0-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * am_foreign_set_global.diff: Patch AM_INIT_AUTOMAKE in configure.ac to run
    automake with --foreign. (Needed for running autoreconf without specifying
    this option.)
  * Add a build-dependency on pkg-config, which is also need for running
    autoreconf.
  * Undo downgrade of debhelper version in previous upload.
    + Undo path changes in debian/openexr-doc.doc-base.*, with compat level 11
      dh_installdocs installs to /usr/share/doc/openexr/.
  * Delete unapplied patch 20_autoreconf.diff.
  * Build with hardening=+bindnow.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Nov 2018 22:06:35 +0100

openexr (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - debian/: debhelper version downgrade 11 -> 9
    - debian/watch: path and parameters updated
    - debian/upstream/signing-key.asc: new signing key
  * debian/control:
    - S-V bump 4.1.3 -> 4.2.1 (no changes needed)
    - b-dep version bump for libilmbase-dev
    - b-dep version bump for libilmbase-dev
  * debian/openexr-doc.doc-base.*: paths updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Nov 2018 22:38:31 +0100

=== debian/control ===
Source: openexr
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Mathieu Malaterre <malat@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Conflicts:
 libopenexr-dev (<< 2.2.0-1)
Build-Depends:
 debhelper-compat (= 12),
 dh-buildinfo,
 dpkg-dev (>= 1.18.0),
 libilmbase-dev (>= 2.3.0-5),
 pkg-config,
 zlib1g-dev
Standards-Version: 4.4.0
Homepage: http://www.openexr.com
Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr

Package: openexr
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: exrtools
Description: command-line tools for the OpenEXR image format
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the following tools:
    * exrheader, a utility for dumping header information.
    * exrstdattr, a utility for modifying OpenEXR standard attributes.
    * exrmaketiled, for generating tiled and rip/mipmapped images.
    * exrenvmap, for creating OpenEXR environment maps.
    * exrmakepreview, for creating preview images for OpenEXR files.

Package: openexr-doc
Section: doc
Architecture: all
Depends:
 doc-base,
 ${misc:Depends}
Breaks: openexr (<< 1.6.1-9)
Replaces: openexr (<< 1.6.1-9)
Description: documentation and examples for the OpenEXR image format
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains documentation for the format and examples

Package: libopenexr-dev
Section: libdevel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libilmbase-dev (>= 2.3.0-3),
 libopenexr24 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the header files required if you wish to
 compile/develop applications that use OpenEXR libraries.

Package: libopenexr24
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libopenexr23 (= 2.3.0-3)
Replaces: libopenexr23 (= 2.3.0-3)
Description: runtime files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the following shared library:
    * IlmImf - a library that reads and writes OpenEXR images.

=== debian/rules ===
#!/usr/bin/make -f
# © 2009 Cyril Brulebois <kibi@debian.org>

# https://bugs.debian.org/793041
export AUTOHEADER = true
export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
IGNORE_CHECK_RESULTS_ARCHS := alpha hppa mips

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH), $(IGNORE_CHECK_RESULTS_ARCHS)))
	-dh_auto_test
else
	dh_auto_test
endif
endif

# No need to compress .pdf files:
override_dh_compress:
	dh_compress -X.pdf -X.cpp -X.h

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
https://github.com/openexr/openexr/releases .*\/@PACKAGE@-?(\d\S+)\.tar\.gz

## openexr 2.5.3

=== debian/changelog ===
openexr (2.5.3-2) unstable; urgency=medium

  * Upload to unstable (Closes: #959444)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 21 Aug 2020 22:56:55 +0200

openexr (2.5.3-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 20:54:17 +0200

openexr (2.5.2-2) experimental; urgency=medium

  * debian/control: strict versioning against libilmbase-dev

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 20:18:22 +0200

openexr (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 17:38:22 +0200

openexr (2.5.1-2) experimental; urgency=medium

  * debian/rules: drop tests on all architectures

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 12 Jun 2020 20:36:27 +0200

openexr (2.5.1-1) experimental; urgency=medium

  * New upstream release (Closes: #960439)
    - debian/control: SONAME bump 24 -> 25
  * debian/rules: set cmake as build system

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 21 May 2020 23:05:36 +0200

openexr (2.5.0-1) experimental; urgency=medium

  * New upstream release, fixing following security issues:
    + CVE-2020-11758:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read in ImfOptimizedPixelReading.h.
    + CVE-2020-11759:
    | An issue was discovered in OpenEXR before 2.4.1. Because of integer
    | overflows in CompositeDeepScanLine::Data::handleDeepFrameBuffer and
    | readSampleCountForLineBlock, an attacker can write to an out-of-bounds
    | pointer.
    + CVE-2020-11760:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read during RLE uncompression in rleUncompress in ImfRle.cpp.
    + CVE-2020-11761:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read during Huffman uncompression, as demonstrated by
    | FastHufDecoder::refill in ImfFastHuf.cpp.
    + CVE-2020-11762:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds read and write in DwaCompressor::uncompress in
    | ImfDwaCompressor.cpp when handling the UNKNOWN compression case.
    + CVE-2020-11763:
    | An issue was discovered in OpenEXR before 2.4.1. There is an
    | std::vector out-of-bounds read and write, as demonstrated by
    | ImfTileOffsets.cpp.
    + CVE-2020-11764:
    | An issue was discovered in OpenEXR before 2.4.1. There is an out-of-
    | bounds write in copyIntoFrameBuffer in ImfMisc.cpp.
    + CVE-2020-11765:
    | An issue was discovered in OpenEXR before 2.4.1. There is an off-by-
    | one error in use of the ImfXdr.h read function by
    | DwaCompressor::Classifier::Classifier, leading to an out-of-bounds
    | read.
  * debian/watch: upstream URL updated
  * debian/control:
    - S-V bump 4.4.0 -> 4.5.0 (no changes needed)
    - RRR set
    - debhelper bump 12 -> 13
    - cmake b-dep added
  * debian/patches/: patchset refreshed against v2.5.0
  * debian/copyright: entries updated and refreshed
  * debian/libopenexr-dev.install: useless files dropped
  * debian/libopenexr-dev.dirs: useless file dropped
  * debian/openexr-doc.docs: installation path updated
  * debian/openexr.install: executables path updated
  * debian/libopenexr-dev.install: cmake helpers added
  * debian/openexr-doc.examples: installation paths updated

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 11 May 2020 16:33:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,15 @@
 Build-Conflicts:
  libopenexr-dev (<< 2.2.0-1)
 Build-Depends:
- debhelper-compat (= 12),
+ cmake,
+ debhelper-compat (= 13),
  dh-buildinfo,
  dpkg-dev (>= 1.18.0),
- libilmbase-dev (>= 2.3.0-5),
+ libilmbase-dev (>= 2.5.2),
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr
@@ -87,8 +89,8 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libilmbase-dev (>= 2.3.0-3),
- libopenexr24 (= ${binary:Version}),
+ libilmbase-dev (>= 2.5.1),
+ libopenexr25 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
@@ -111,7 +113,7 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr24
+Package: libopenexr25
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/, \
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openexr_$1\.tar\.gz/" \
https://github.com/AcademySoftwareFoundation/openexr/tags .*/v?(\d\S+)\.tar\.gz
